> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Widgets Linked To Assistant Id

> Retrieve widgets attached to the assistant



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/assistant/{assistant_id}/widgets
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/assistant/{assistant_id}/widgets:
    get:
      tags:
        - Assistant
      summary: Get List Of Widgets Linked To Assistant Id
      description: Retrieve widgets attached to the assistant
      operationId: >-
        get_list_of_widgets_linked_to_assistant_id_api_v1_assistant__assistant_id__widgets_get
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__schemas__response_schema__IGetResponsePaginated_IWidgetRead___1
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    app__schemas__response_schema__IGetResponsePaginated_IWidgetRead___1:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IWidgetRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IWidgetRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IWidgetRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IWidgetRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IWidgetRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IWidgetRead:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        widget_type:
          anyOf:
            - $ref: '#/components/schemas/IWidgetEnum'
            - type: 'null'
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        intro_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Intro Message
        user_opening_messages:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: User Opening Messages
        header_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Header Color
        user_message_color:
          anyOf:
            - type: string
            - type: 'null'
          title: User Message Color
        bot_message_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Message Color
        bot_icon_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Icon Color
        remove_branding:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Remove Branding
          default: false
        ice_break_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Ice Break Color
        bubble_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Bubble Color
        bubble_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Bubble Text
        bot_text_message_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Bot Text Message Color
        user_text_message_color:
          anyOf:
            - type: string
            - type: 'null'
          title: User Text Message Color
        header_text_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Header Text Color
        textbox_default_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Textbox Default Text
        action_buttons:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Action Buttons
        action_buttons_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Action Buttons Color
        style_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Style Params
          default: {}
        id:
          type: string
          format: uuid
          title: Id
        conversation_bot_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Bot Icon
        bubble_bot_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Bubble Bot Icon
        provider_user_friendly_label:
          type: string
          title: Provider User Friendly Label
        widget_provider:
          type: string
          title: Widget Provider
      type: object
      required:
        - widget_type
        - user_opening_messages
        - action_buttons
        - id
        - conversation_bot_icon
        - bubble_bot_icon
        - provider_user_friendly_label
        - widget_provider
      title: IWidgetRead
    IWidgetEnum:
      type: string
      enum:
        - chat
        - html
        - whatsapp
        - phone
        - html_call
        - leadconnector
        - leadconnector_call
        - sms
        - fb_messenger
        - instagram
        - web_call
        - plivo_call
        - telnyx_call
        - telegram
        - render_form
        - sip
      title: IWidgetEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````